# For libdnf minimal enforced dep
%global min_ldnf_ver 0.62.0
%global ldnfsomajor 2

Name:           microdnf
Version:        3.8.1
Release:        %mkrel 1
Summary:        Lightweight implementation of DNF in C
Group:          System/Packaging
License:        GPLv3+
URL:            https://github.com/rpm-software-management/microdnf
Source0:        https://github.com/rpm-software-management/microdnf/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson >= 0.36.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.44.0
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.20.0
BuildRequires:  pkgconfig(libdnf) >= %{min_ldnf_ver}
BuildRequires:  pkgconfig(smartcols)
BuildRequires:  help2man

Requires:       %{mklibname dnf %{ldnfsomajor}} >= %{min_ldnf_ver}

%description
Micro DNF is a lightweight C implementation of DNF, designed to be used
for doing simple packaging actions when you don't need full-blown DNF and
you want the tiniest useful environments possible.

That is, you don't want any interpreter stack and you want the most
minimal environment possible so you can build up to exactly what you need.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man8/microdnf.8*



%changelog
* Fri Mar 18 2022 luigiwalser <luigiwalser> 3.8.1-1.mga9
+ Revision: 1798883
- 3.8.1

* Sat Aug 14 2021 luigiwalser <luigiwalser> 3.8.0-1.mga9
+ Revision: 1741353
- 3.8.0

* Wed Feb 03 2021 ngompa <ngompa> 3.7.0-1.mga8
+ Revision: 1674598
- Update to 3.7.0

* Sun Dec 06 2020 ngompa <ngompa> 3.6.0-1.mga8
+ Revision: 1653858
- Update to 3.6.0

* Wed Feb 19 2020 umeabot <umeabot> 3.4.0-2.mga8
+ Revision: 1543450
- Mageia 8 Mass Rebuild

* Sun Jan 19 2020 ngompa <ngompa> 3.4.0-1.mga8
+ Revision: 1481609
- Rebase to 3.4.0

* Mon Sep 16 2019 tv <tv> 3.0.1-5.mga8
+ Revision: 1441856
- rebuild for libpeas

* Wed Aug 07 2019 tv <tv> 3.0.1-4.mga8
+ Revision: 1427987
- rebuild for new libpeas

* Thu Apr 18 2019 umeabot <umeabot> 3.0.1-3.mga7
+ Revision: 1392802
- Rebuild with meson 0.50.1

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1299534
- Mageia 7 Mass Rebuild

* Sat Jun 30 2018 ngompa <ngompa> 3.0.1-1.mga7
+ Revision: 1240968
- Update to 3.0.1

* Sat Jun 03 2017 ngompa <ngompa> 3-1.mga6
+ Revision: 1106227
- Upgrade to v3

* Mon Mar 20 2017 ngompa <ngompa> 2-4.mga6
+ Revision: 1093746
- Update summary and description to be more useful

* Mon Mar 20 2017 ngompa <ngompa> 2-3.mga6
+ Revision: 1093739
- Port package to Mageia
- Backport patches from upstream
- imported package microdnf


* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 02 2017 Igor Gnatenko <ignatenko@redhat.com> - 2-1
- Update to 2

* Mon Dec 12 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1-1
- Initial package
